org.apache.bcel.classfile

## Class InnerClasses

- java.lang.Object
- - org.apache.bcel.classfile.Attribute
  - - org.apache.bcel.classfile.InnerClasses

- All Implemented Interfaces:
    Cloneable, Node

      public final class InnerClasses
      extends Attribute

  This class is derived from Attribute and denotes that this class is an Inner class of another. to the source file of this class. It is instantiated from the Attribute.readAttribute() method.
  Version:
    $Id: InnerClasses.java 1749603 2016-06-21 20:50:19Z ggregory $
  See Also:
    `Attribute`

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.classfile.Attribute

      `constant_pool, length, name_index, tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InnerClasses(InnerClasses c)` Initialize from another object.
    `InnerClasses(int name_index, int length, InnerClass[] inner_classes, ConstantPool constant_pool)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor v)` Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class.
    `Attribute` | `copy(ConstantPool _constant_pool)`
    `void` | `dump(DataOutputStream file)` Dump source file attribute to file stream in binary format.
    `InnerClass[]` | `getInnerClasses()`
    `void` | `setInnerClasses(InnerClass[] inner_classes)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.bcel.classfile.Attribute

      `addAttributeReader, addAttributeReader, clone, getConstantPool, getLength, getName, getNameIndex, getTag, readAttribute, readAttribute, removeAttributeReader, setConstantPool, setLength, setNameIndex`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InnerClasses

          public InnerClasses(InnerClasses c)

      Initialize from another object. Note that both objects use the same references (shallow copy). Use clone() for a physical copy.

    - #### InnerClasses

          public InnerClasses(int name_index,
                              int length,
                              InnerClass[] inner_classes,
                              ConstantPool constant_pool)

      Parameters:
        `name_index` - Index in constant pool to CONSTANT_Utf8
        `length` - Content length in bytes
        `inner_classes` - array of inner classes attributes
        `constant_pool` - Array of constants

  - ### Method Detail

    - #### accept

          public void accept(Visitor v)

      Called by objects that are traversing the nodes of the tree implicitely defined by the contents of a Java class. I.e., the hierarchy of methods, fields, attributes, etc. spawns a tree of objects.
      Specified by:
        `accept` in interface `Node`
      Specified by:
        `accept` in class `Attribute`
      Parameters:
        `v` - Visitor object

    - #### dump

          public final void dump(DataOutputStream file)
                          throws IOException

      Dump source file attribute to file stream in binary format.
      Overrides:
        `dump` in class `Attribute`
      Parameters:
        `file` - Output file stream
      Throws:
        `IOException`

    - #### getInnerClasses

          public final InnerClass[] getInnerClasses()

      Returns:
        array of inner class "records"

    - #### setInnerClasses

          public final void setInnerClasses(InnerClass[] inner_classes)

      Parameters:
        `inner_classes` - the array of inner classes

    - #### toString

          public final String toString()

      Overrides:
        `toString` in class `Attribute`
      Returns:
        String representation.

    - #### copy

          public Attribute copy(ConstantPool _constant_pool)

      Specified by:
        `copy` in class `Attribute`
      Returns:
        deep copy of this attribute

Copyright © 2004–2017 The Apache Software Foundation. All rights reserved.